Send interactive call permission request message

Use this API to send a Interactive CPR Message to a WhatsApp user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘
  1. The call permission request interactive object cannot be edited by the business. Only the message body can be customized.
  2. Use the recipient parameter only when BSUID is enabled for the app.
  3. When both to and recipient fields are used in the payload, the to field gets the priority.

Request Params

KeyDescriptionValuesData TypeRequired/OptionalConstraints
Headers
AuthorisationAccess Token for the applicationsk_8eb35b1f81c24af2xxxxxxStringRequiredShould be a valid Partner App Access Token.
Path Params
App IdApp ID to fetch the access tokenbf9ee64c-3d4d-4ac4-xxxx-732e577007c4StringRequiredThe Id should be a valid app Id of Gupshup
Body JSON
messaging_productMessaging productwhatsappStringRequired
recipient_typeRecipient typeindividualStringRequired
toDestination phone number where the message needs to be sent91785876xxxxStringRequired (Can be optional if BSUID is enabled for the app and recipient parameter is used instead)Must be a valid phone number
recipientDestination BSUID where the message needs to be sentIN.461449821882xxxxStringOptionalMust be a valid BSUID
typeMessaging typeinteractiveStringRequiredType should be interactive to send interactive message.
interactiveinteractive message inside body"interactive": { "type": "call_permission_request", "action": { "name": "call_permission_request" }ObjectRequiredKey should be interactive to send text message.

Sample request

curl --location 'https://partner.gupshup.io/partner/app/{{APP_ID}}/v3/message' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "91888899xxx",
	"recipient": "IN.4614498218826880",
  "type": "interactive",
  "interactive": {
    "type": "call_permission_request",
    "action": {
      "name": "call_permission_request"
    },
    "body": {
      "text": "We would like to call you to help support your query on Order No: ON-12853."
    }
  }
}'

Sample Response

{
    "messages": [
        {
            "id": "GUPSHUP_MESSAGE_ID"
        }
    ],
    "messaging_product": "whatsapp",
    "contacts": [
        {
            "input": "DESTINATION_PHONE_NO",
            "wa_id": "DESTINATION_PHONE_NO"
        }
    ]
}

Status codes

Status CodeResponseComment
Success
200{ "messages": [ { "id": "GUPSHUP_MESSAGE_ID" } ], "messaging_product": "whatsapp", "contacts": [ { "input": "DESTINATION_PHONE_NO", "wa_id": "DESTINATION_PHONE_NO" } ] }
Error
401{ "status": "error", "message": "Authentication Failed" }When API key authentication fails
400{ "message": "Callback Billing must be enabled for this API", "status": "error" }
Path Params
string
required

Unique identifier of the app.

Body Params
string
string
string
string
interactive
object
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json